Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 168266 - suite-chaining does not work
suite-chaining does not work
Status: VERIFIED FIXED
Product: apisupport
Classification: Unclassified
Component: Harness
6.x
All All
: P1 (vote)
: 6.x
Assigned To: rmichalsky
issues@apisupport
67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-08 08:37 UTC by fvogler
Modified: 2009-07-21 13:29 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description fvogler 2009-07-08 08:37:39 UTC
When you create two suite projects (just as cluster projects, not as app) and chain them,
the suite cluster you depend on is missing in the startup cluster list of your main suite.

I think there is an ant "if" and "unless" wrong in harness/run.xml

line 95:  <target name="-prepare-as-app" depends="-init" unless="app.name">
line 103: <target name="-prepare-as-platform" depends="-init" if="app.name">

Should be:
line 95:  <target name="-prepare-as-app" depends="-init" if="app.name">
line 103: <target name="-prepare-as-platform" depends="-init" unless="app.name">

Regards
Florian
Comment 1 fvogler 2009-07-08 14:51:39 UTC
Sorry, I used the wrong component.

Regards
Florian
Comment 2 Jesse Glick 2009-07-08 18:03:26 UTC
run.xml is correct AFAIK, unless this whole set of logic was completely invalidated with the changes in NB 6.7.
-prepare-as-app is used to run bin/netbeans (or whatever the base application's launcher name is) with some added
clusters; in this case there is no ${app.name}. -prepare-as-platform is used to run a NB Platform application, calling
nbexec directly; in this case ${app.name} would be set.
Comment 3 rmichalsky 2009-07-09 10:39:14 UTC
I can reproduce it, but the conditions are correct. It may be related to recent changes for launchers, I'm investigating.
Comment 4 rmichalsky 2009-07-09 20:04:30 UTC
fixed in core-main #1b26bac0d87b
Comment 5 sreimers 2009-07-09 22:02:16 UTC
There is the "67patch-candidate" status whiteboard - so what are chances for getting this into 6.7.1? It is a major
annoyance for using suite chaining....
Comment 6 Jesse Glick 2009-07-09 22:17:21 UTC
Verifying the fix in a dev build (or reopening if appropriate, of course) is the most important thing you can do.
Comment 7 Quality Engineering 2009-07-10 17:34:30 UTC
Integrated into 'main-golden', will be available in build *200907101400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/1b26bac0d87b
User: Richard Michalsky <rmichalsky@netbeans.org>
Log: #168266: include chained clusters wher running suite atop of NB
Comment 8 sreimers 2009-07-11 08:55:51 UTC
Verified in latest continous build from deadlock (3516)
Comment 9 pgebauer 2009-07-13 10:04:01 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/de6953a90db3
Comment 10 Ivan Sidorkin 2009-07-21 13:29:28 UTC
verified in 6.7.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo